import ActionBegin from 'components/Action/ActionBegin'
import ActionList from 'components/Action/ActionList'
import { Ecogesture, UserChallenge } from 'models'
import React, { useState } from 'react'
import './actionChoose.scss'

interface ActionChooseProps {
  userChallenge: UserChallenge
}

const ActionChoose: React.FC<ActionChooseProps> = ({
  userChallenge,
}: ActionChooseProps) => {
  const [selectedAction, setSelectedAction] = useState<Ecogesture | null>(null)
  const [showList, setShowList] = useState<boolean>(false)

  return (
    <div className="action-choose">
      {!showList ? (
        <ActionBegin
          action={selectedAction ? selectedAction : undefined}
          setShowList={setShowList}
          userChallenge={userChallenge}
        />
      ) : (
        <ActionList
          setSelectedAction={setSelectedAction}
          setShowList={setShowList}
        />
      )}
    </div>
  )
}

export default ActionChoose
