import Button from '@material-ui/core/Button'
import WaterBillIcon from 'assets/icons/visu/onboarding/water_bill.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import { decoreText } from 'utils/decoreText'
import '../connection.scss'

interface EpglBillProps {
  togglePartnerConnectionModal: () => void
}

const EpglBill = ({ togglePartnerConnectionModal }: EpglBillProps) => {
  const { t } = useI18n()

  return (
    <div className="connection-form">
      <p className="connection-form-title eglgrandlyon text-20-bold">
        {t('auth.eglgrandlyon.no_account.title')}
      </p>

      <StyledIcon icon={WaterBillIcon} size={180} />
      <p className={'connection-form-subtitle eglgrandlyon text-16-regular'}>
        {decoreText(t('auth.eglgrandlyon.bill'))}
      </p>

      <div className="connection-form-button">
        <Button
          aria-label={t('auth.eglgrandlyon.accessibility.connect')}
          onClick={togglePartnerConnectionModal}
          classes={{
            root: 'btn-highlight',
            label: 'text-16-bold',
          }}
        >
          {t('auth.eglgrandlyon.connect')}
        </Button>
      </div>
    </div>
  )
}

export default EpglBill
