import { FluidType } from 'enum/fluid.enum'
import React from 'react'
import FluidButton from './FluidButton'
import './fluidButtons.scss'

interface FluidButtonsProps {
  activeFluid: FluidType
}
const FluidButtons: React.FC<FluidButtonsProps> = ({
  activeFluid,
}: FluidButtonsProps) => {
  const orderedFluids = [
    FluidType.MULTIFLUID,
    FluidType.ELECTRICITY,
    FluidType.WATER,
    FluidType.GAS,
  ]

  return (
    <div className="fluid-buttons">
      <div className="content">
        {orderedFluids.map(fluid => (
          <FluidButton
            key={fluid}
            isActive={activeFluid === fluid}
            fluidType={fluid}
          />
        ))}
      </div>
    </div>
  )
}

export default FluidButtons
