import { ProfileTypeStepForm } from 'enum/profileType.enum'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from '../../../tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from '../../../tests/__mocks__/store'
import ProfileTypeFormSingleChoice from './ProfileTypeFormSingleChoice'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('ProfileTypeFormSingleChoice component', () => {
  const store = createMockEcolyoStore()
  beforeEach(() => {
    store.clearActions()
  })

  it('should be rendered correctly', () => {
    const mockhandlePrevious = jest.fn()
    const mockhandleNext = jest.fn()
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeFormSingleChoice
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          profileType={mockProfileType}
          answerType={mockProfileTypeAnswers[1]}
          setNextStep={mockhandlePrevious}
          setPreviousStep={mockhandleNext}
          isProfileTypeComplete={false}
        />
      </Provider>
    )
    expect(wrapper.find('input')).toBeTruthy()
  })
})
