import { userChallengeData } from '../../../tests/__mocks__/userChallengeData.mock'
import {
  setChallengeConsumption,
  setUserChallengeList,
  SET_CHALLENGE_CONSUMPTION,
  SET_USER_CHALLENGE_LIST,
  unlockNextUserChallenge,
  UNLOCK_NEXT_USER_CHALLENGE,
  updateUserChallengeList,
  UPDATE_USER_CHALLENGE_LIST,
} from './challenge.actions'

describe('challenge actions', () => {
  it('should create an action to set userChallengeList', () => {
    const expectedAction = {
      type: SET_USER_CHALLENGE_LIST,
      payload: userChallengeData,
    }
    expect(setUserChallengeList(userChallengeData)).toEqual(expectedAction)
  })

  it('should create an action to update the userChallengeList', () => {
    const expectedAction = {
      type: UPDATE_USER_CHALLENGE_LIST,
      payload: userChallengeData[0],
    }
    expect(updateUserChallengeList(userChallengeData[0])).toEqual(
      expectedAction
    )
  })

  it('should create an action to unlock next challenge in the list', () => {
    const expectedAction = {
      type: UNLOCK_NEXT_USER_CHALLENGE,
      payload: userChallengeData[0],
    }
    expect(unlockNextUserChallenge(userChallengeData[0])).toEqual(
      expectedAction
    )
  })

  it('should create an action to update challenge with consumption in the list and set current data load', () => {
    const expectedAction = {
      type: SET_CHALLENGE_CONSUMPTION,
      payload: { userChallenge: userChallengeData[0], currentDataload: [] },
    }
    expect(setChallengeConsumption(userChallengeData[0], [])).toEqual(
      expectedAction
    )
  })
})
