import { defaultAction } from 'store'

export const OPEN_PARTNERS_MODAL = 'OPEN_PARTNERS_ISSUE'
export const OPEN_FEEDBACK_MODAL = 'OPEN_FEEDBACK_MODAL'

interface OpenFeedbackModal {
  type: typeof OPEN_FEEDBACK_MODAL
  payload?: boolean
}

interface OpenPartnersModal {
  type: typeof OPEN_PARTNERS_MODAL
  payload?: {
    egl: boolean
    enedis: boolean
    grdf: boolean
  }
}

export type ModalActionTypes =
  | OpenFeedbackModal
  | OpenPartnersModal
  | typeof defaultAction

export function openFeedbackModal(isOpen: boolean): OpenFeedbackModal {
  return {
    type: OPEN_FEEDBACK_MODAL,
    payload: isOpen,
  }
}

export function openPartnersModal(openPartnersModal: {
  egl: boolean
  enedis: boolean
  grdf: boolean
}): OpenPartnersModal {
  return {
    type: OPEN_PARTNERS_MODAL,
    payload: openPartnersModal,
  }
}
