import { defaultAction } from 'store'
import { profileData } from '../../../tests/__mocks__/profileData.mock'
import { mockInitialProfileState } from '../../../tests/__mocks__/store'
import { UPDATE_PROFILE } from './profile.actions'
import { profileReducer } from './profile.reducer'

describe('profile reducer', () => {
  it('should return the initial state', () => {
    const state = profileReducer(undefined, { ...defaultAction })
    expect(state).toEqual(mockInitialProfileState)
  })

  it('should handle UPDATE_PROFILE with payload', () => {
    const state = profileReducer(mockInitialProfileState, {
      type: UPDATE_PROFILE,
      payload: profileData,
    })
    expect(state).toEqual(profileData)
  })

  it('should handle UPDATE_PROFILE without payload', () => {
    const state = profileReducer(mockInitialProfileState, {
      type: UPDATE_PROFILE,
    })
    expect(state).toEqual(mockInitialProfileState)
  })
})
