import { defaultAction } from 'store'
import {
  mockProfileEcogesture,
  mockProfileEcogestureUpdated,
} from '../../../tests/__mocks__/profileEcogesture.mock'
import { UPDATE_PROFILE_ECOGESTURE } from './profileEcogesture.actions'
import { profileEcogestureReducer } from './profileEcogesture.reducer'

describe('profileEcogesture reducer', () => {
  it('should return the initial state', () => {
    const state = profileEcogestureReducer(undefined, { ...defaultAction })
    expect(state).toEqual(mockProfileEcogesture)
  })

  it('should handle UPDATE_PROFILE_ECOGESTURE with payload', () => {
    const state = profileEcogestureReducer(mockProfileEcogesture, {
      type: UPDATE_PROFILE_ECOGESTURE,
      payload: mockProfileEcogestureUpdated,
    })
    expect(state).toEqual(mockProfileEcogestureUpdated)
  })

  it('should handle UPDATE_PROFILE_ECOGESTURE without payload', () => {
    const state = profileEcogestureReducer(mockProfileEcogesture, {
      type: UPDATE_PROFILE_ECOGESTURE,
    })
    expect(state).toEqual(mockProfileEcogesture)
  })
})
