import { profileTypeData } from '../../../tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from '../../../tests/__mocks__/store'
import { updateProfileType, UPDATE_PROFILETYPE } from './profileType.actions'

const mockUpdateProfileType = jest.fn()
jest.mock('services/profileTypeEntity.service', () => {
  return jest.fn(() => {
    return {
      updateProfileType: mockUpdateProfileType,
    }
  })
})

describe('profileType actions', () => {
  const store = createMockEcolyoStore()
  beforeEach(() => {
    store.clearActions()
  })
  it('should create an UPDATE_PROFILETYPE action when profileType is updated', async () => {
    mockUpdateProfileType.mockResolvedValueOnce(profileTypeData)
    const expectedActions = [
      {
        type: UPDATE_PROFILETYPE,
        payload: profileTypeData,
      },
    ]
    await store.dispatch(updateProfileType(profileTypeData))
    expect(store.getActions()).toEqual(expectedActions)
  })

  it('should not create action when profileType is not updated', async () => {
    mockUpdateProfileType.mockResolvedValueOnce(null)
    await store.dispatch(updateProfileType(profileTypeData))
    expect(store.getActions()).toEqual([])
  })
})
