import { defaultAction } from 'store'
import { profileTypeData } from '../../../tests/__mocks__/profileType.mock'
import { mockInitialProfileTypeState } from '../../../tests/__mocks__/store'
import { UPDATE_PROFILETYPE } from './profileType.actions'
import { profileTypeReducer } from './profileType.reducer'

describe('profile reducer', () => {
  it('should return the initial state', () => {
    const state = profileTypeReducer(undefined, { ...defaultAction })
    expect(state).toEqual(mockInitialProfileTypeState)
  })

  it('should handle UPDATE_PROFILETYPE with payload', () => {
    const state = profileTypeReducer(mockInitialProfileTypeState, {
      type: UPDATE_PROFILETYPE,
      payload: profileTypeData,
    })
    expect(state).toEqual(profileTypeData)
  })

  it('should handle UPDATE_PROFILETYPE without payload', () => {
    const state = profileTypeReducer(mockInitialProfileTypeState, {
      type: UPDATE_PROFILETYPE,
    })
    expect(state).toEqual(mockInitialProfileTypeState)
  })
})
